Number Addresses

Retrieve a single Number Address by its ID

Request

Endpoint: /api/number-addresses/{number_address_id}
Example: /api/number-addresses/1
Method: GET
Headers: Accept: application/vnd.cloudlx.v1+json
Authorization: Bearer <access_token>

URL Parameters

number_address_id Description The ID of the Number Address to retrieve
Type Integer
Example 1

Response

Example:

                                
    {
        "id": 1,
        "name": "London Office",
        "use_for_proof_of_address": true,
        "use_for_emergency_address": false,
        "address_line_1": "101 Old Street",
        "address_line_2": "",
        "address_city": "London",
        "address_region": "London",
        "address_postal_code": "E10 1AA",
        "address_country": {
            "name": "United Kingdom",
            "iso": "GB"
        }
    }
                                
                            
id Description The id for the address
Type Integer
Example 1
use_for_proof_of_address Description Boolean indicator to determine if the address is used for proof of address
Type Boolean
Example true
use_for_emergency_address Description Boolean indicator to determine if the address is used for emergency services registration
Type Boolean
Example false
name Description The user supplied name for the address
Type String
Example London Office
address_line_1 Description The first line of the address
Type String
Example 101 Old Street
address_line_2 Description The second line of the address
Type String
Example Silicon Road
address_city Description The city of the address
Type String
Example London
address_region Description The region of the address
Type String
Example London
address_postal_code Description The postal code of the address
Type String
Example E10 1AA
address_country Description An object describing the address country
Type Object
Example
{
    "name": "United Kingdom",
    "iso": "GB"
}

Back to top